<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:template match="/">
<!-- <!DOCTYPE html> darf hier NICHT stehen -->
<html>
  <head>
    <title>Kontaktliste</title>
    <meta charset="utf-8"></meta>
    <link rel="stylesheet" type="text/css" href="liste.css"></link>  
    <script type="text/javascript" src="datetime.js" charset="utf-8"></script>
  </head>
  <body>
    <p>Kontaktliste</p>
    Stand: <span class="id" id="datetime"></span>
    <hr class="line"></hr>
    <table>
    <tr>
      <th>Nachname</th>
      <th>Vorname</th>
      <th>PLZ</th>
      <th>Wohnort</th>
      <th>Strasse</th>
      <th>TelefonFestnetz</th>
      <th>TelefonMobil</th>
      <th>EMailAdresse</th>
      <th>WebAdresse</th>
      <th>GebDatum</th>
    </tr>    
    <xsl:for-each select="kontakte/kontakt">
    <!-- Sortierung nach dem Wohnort! -->
    <xsl:sort select="adresse/wohnort/@ort" order="ascending"/>
      <xsl:if test="position() mod 2 = 1">
        <tr class="Row1">
		      <td><xsl:value-of select="nachname"/></td>
		      <td><xsl:value-of select="vorname"/></td>
		      <td><xsl:value-of select="adresse/wohnort/@plz"/></td>
		      <td><xsl:value-of select="adresse/wohnort/@ort"/></td>		      
		      <td><xsl:value-of select="adresse/strasse"/></td>
		      <td><xsl:value-of select="kommunikation/festnetz"/></td>
		      <td><xsl:value-of select="kommunikation/mobil"/></td>
		      <td><xsl:value-of select="kommunikation/internet/email"/></td>
		      <td><xsl:value-of select="kommunikation/internet/web"/></td>
		      <td>
		        <xsl:value-of select="geburtstag/tag"/>.
		        <xsl:value-of select="geburtstag/monat"/>.
		        <xsl:value-of select="geburtstag/jahr"/>
		      </td>
        </tr>
      </xsl:if>
      <xsl:if test="position() mod 2 = 0">
        <tr class="Row2">      
		      <td><xsl:value-of select="nachname"/></td>
		      <td><xsl:value-of select="vorname"/></td>
		      <td><xsl:value-of select="adresse/wohnort/@plz"/></td>
		      <td><xsl:value-of select="adresse/wohnort/@ort"/></td>		      
		      <td><xsl:value-of select="adresse/strasse"/></td>
		      <td><xsl:value-of select="kommunikation/festnetz"/></td>
		      <td><xsl:value-of select="kommunikation/mobil"/></td>
		      <td><xsl:value-of select="kommunikation/internet/email"/></td>
		      <td><xsl:value-of select="kommunikation/internet/web"/></td>
		      <td>
		        <xsl:value-of select="geburtstag/tag"/>.
		        <xsl:value-of select="geburtstag/monat"/>.
		        <xsl:value-of select="geburtstag/jahr"/>
		      </td>
        </tr>
      </xsl:if>
    </xsl:for-each>
    </table>
  </body>
</html>
</xsl:template>
</xsl:stylesheet>
